### Method

# Gimp Image clean_all

#### Declaration [src]

    gboolean
    gimp_image_clean_all (
      GimpImage* image
    )

#### Description [src]

Set the image dirty count to 0.

This procedure sets the specified image’s dirty count to 0, allowing operations to occur without having a ‘dirtied’ image. This is especially useful for creating and loading images which should not initially be considered dirty, even though layers must be created, filled, and installed in the image. Note that save plug-ins must NOT call this function themselves after saving the image.

#### Return value

Type: `gboolean`

TRUE on success.